[Python-modules-commits] [pytest-localserver] 08/14: DEP-8 testscripts: some minor improvements
Daniel Stender
danstender-guest at moszumanska.debian.org
Fri Mar 18 17:45:14 UTC 2016
This is an automated email from the git hooks/post-receive script.
danstender-guest pushed a commit to branch master
in repository pytest-localserver.
commit 4303f2c0ef51af73f8fc26df97d572939d1c84ef
Author: Daniel Stender <stender at debian.org>
Date: Fri Mar 18 18:22:41 2016 +0100
DEP-8 testscripts: some minor improvements
---
debian/changelog | 5 ++++-
debian/tests/python-pytest-localserver | 6 +++---
debian/tests/python3-pytest-localserver | 6 +++---
3 files changed, 10 insertions(+), 7 deletions(-)
diff --git a/debian/changelog b/debian/changelog
index 01b6132..66db413 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,8 +8,11 @@ pytest-localserver (0.3.5-1) UNRELEASED; urgency=medium
+ bumped standards to 3.9.7 (no changes needed).
+ use HTTPS also for Vcs-Git.
+ removed Testsuite field (deprecated).
+ * deb/test/python{,3}-pytest-localserver:
+ + put set -e into script body.
+ + use shell loop instead of pipes with xargs and env.
- -- Daniel Stender <stender at debian.org> Fri, 18 Mar 2016 18:16:48 +0100
+ -- Daniel Stender <stender at debian.org> Fri, 18 Mar 2016 18:21:31 +0100
pytest-localserver (0.3.4-2) unstable; urgency=medium
diff --git a/debian/tests/python-pytest-localserver b/debian/tests/python-pytest-localserver
index 2e8617f..74c0253 100755
--- a/debian/tests/python-pytest-localserver
+++ b/debian/tests/python-pytest-localserver
@@ -1,3 +1,3 @@
-#!/bin/sh -e
-pyversions -i | tr ' ' '\n' | xargs -I {} env {} -Wd -m pytest -v -x 2>&1
-
+#!/bin/sh
+set -e
+for py in $(pyversions -i); do echo "[*] testing $py:"; $py -Wd -m pytest -v -x 2>&1; done
diff --git a/debian/tests/python3-pytest-localserver b/debian/tests/python3-pytest-localserver
index 55429f6..5346484 100755
--- a/debian/tests/python3-pytest-localserver
+++ b/debian/tests/python3-pytest-localserver
@@ -1,3 +1,3 @@
-#!/bin/sh -e
-py3versions -i | tr ' ' '\n' | xargs -I {} env {} -Wd -m pytest -v -x 2>&1
-
+#!/bin/sh
+set -e
+for py in $(py3versions -i); do echo "[*] testing $py:"; $py -Wd -m pytest -v -x 2>&1; done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/pytest-localserver.git
More information about the Python-modules-commits
mailing list